/*
 *				f x i t e m . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	fxitem	Obtain (the Address of) an Item In a Flex
index		Obtain (the address of) an item in a flex

synopsis

	 #ifdef vms
	 #include "c:flex.h"
	 #else
	 #include <flex.h>
	 #endif

	 char *
	 fxitem(fx,n)
	 register FLEX *fx;
	 unsigned n;

description

	fxitem(fx,n) returns a pointer to the n'th item in the flex, if there
	is one, or NULL if there isn't or the flex has been damaged.  The
	first item in the flex has item number 0.

bugs

author

	Jerry Leichter

#endif

/*
 * )EDITLEVEL=04
 * Edit history
 * 0.0  5-May-81 JSL	Invention
 * 0.1  7-May-81 JSL	Cleanup
 * 0.2 23-Jun-81 JSL	Conversion to new documentation conventions
 */

#ifdef	vms
#include "c:flex.h"
#else
#include <flex.h>
#endif
#define NULL 0

char *
fxitem(fx,n)
register FLEX *fx;
unsigned n;
{	if (fx==NULL || fx->fxdata==NULL || n >= fx->fxused)
		return(NULL);
	else	return(fx->fxdata + n*fx->fxisz);
}
